×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Apr 2010
    Posts
    6

    Question S60 All in One (5th ed.) Installation

    Hi there! I am using Netbeans and have installed the latest jdk (which comes with the jre) BEFORE I loaded Netbeans 6.8. I also loaded ActivePerl 5.10.1007 x64.

    Everything installed with no complaints and it told me to do something about a vista patch (which I did on my vista system). Now I am running Windows 7 at work and Vista Professional at home and got the same result when I loaded the SDK - there is no option for Nokia emulation platforms - only generic Java Micro Editions. Now I made a project on both machines and it seems to work fine, but I really would prefer to be using the correct SDK. I can even upload the application to my phone using the PC suite, although not through the Netbeans side.

    Can anyone help me here? Thanks

    -Quintin

  2. #2
    Super Contributor
    Join Date
    Mar 2008
    Location
    The Capital of INDIA
    Posts
    4,328

    Re: S60 All in One (5th ed.) Installation

    Quote Originally Posted by qbalsdon View Post
    there is no option for Nokia emulation platforms - only generic Java Micro Editions. Now I made a project on both machines and it seems to work fine, but I really would prefer to be using the correct SDK. I can even upload the application to my phone using the PC suite, although not through the Netbeans side.

    -Quintin
    Hey welcome to the forum Nokia Discussions Boards

    You can move ahead like this,
    Tools->Java Platform Manager->add platform->browse the platform and follow instruction.
    Thanks with Regards,

    R a j - The K e r n e l


    Join Delhi-NCR Nokia Developer's Community,

  3. #3
    Registered User
    Join Date
    Apr 2010
    Posts
    6

    Re: S60 All in One (5th ed.) Installation

    Hi - I have gone to the platform manager... It asks me to select a platform type:
    1. Java Standard Edition
    2. Java ME MIDP Platform Emulator
    3. Custom Java ME MIDP Platform Emulator
    4. Java ME CDC Platform Emulator

    If I choose option 2 - it fails because "Cannot Start Series 60 for MIDP" and next to the item it says (Detection Failed)

    If I choose option 3 - it all seems to work, but when I create a project there are no devices and can choose from. Then when I compile and run an application it throws the same "Cannot Start Series 60 for MIDP" error.


  4. #4
    Registered User
    Join Date
    Apr 2010
    Posts
    6

    Re: S60 All in One (5th ed.) Installation

    WAIT A SECOND

    I went to C:\S60\devices\S60_5th_Edition_SDK_v1.0\bin - where the emulator sits and other exe's. They can't run because MSVCR71.dll is missing from my computer... Which it is. Then it throws the same error as before.

    This might be related... any suggestions?

  5. #5
    Super Contributor
    Join Date
    Mar 2008
    Location
    The Capital of INDIA
    Posts
    4,328

    Re: S60 All in One (5th ed.) Installation

    Quote Originally Posted by qbalsdon View Post
    WAIT A SECOND

    I went to C:\S60\devices\S60_5th_Edition_SDK_v1.0\bin - where the emulator sits and other exe's. They can't run because MSVCR71.dll is missing from my computer... Which it is. Then it throws the same error as before.

    This might be related... any suggestions?
    Well, was the SDK installation succeeds though?

    When you are browsing the SDK while adding the platform, just give the path of the root folder that is S60 and then click the next.
    Thanks with Regards,

    R a j - The K e r n e l


    Join Delhi-NCR Nokia Developer's Community,

  6. #6
    Registered User
    Join Date
    Apr 2010
    Posts
    6

    Re: S60 All in One (5th ed.) Installation

    Yes, the SDK did install, I think the problem must lie with the order of installation. I have experienced NetBeans to be very picky that if one thing is installed out of turn it won't work the way you want.

    It works fine on my home PC, I just needed to "attach" the SDK to my NetBeans - that's why I assume it's the order of installation. I really have to check the pre-req's before installing. My work PC not working is no issue, I should be fine at home

    Thank you for your help.

  7. #7
    Super Contributor
    Join Date
    Mar 2008
    Location
    The Capital of INDIA
    Posts
    4,328

    Re: S60 All in One (5th ed.) Installation

    Well you even take care of the points here,
    http://discussion.forum.nokia.com/fo...d.php?t=178209

    Thanks with Regards,

    R a j - The K e r n e l


    Join Delhi-NCR Nokia Developer's Community,

Similar Threads

  1. Replies: 4
    Last Post: 2010-01-20, 11:14
  2. Porting S60 3rd Ed application to 5th Ed
    By Asif Nazir in forum Symbian User Interface
    Replies: 4
    Last Post: 2009-05-08, 12:37
  3. Replies: 2
    Last Post: 2008-12-29, 06:53
  4. [moved] S60 5th ed SDK v0.9 can't be installed on FAT32
    By truf in forum Tools and SDK Feedback (Closed)
    Replies: 8
    Last Post: 2008-11-02, 10:30
  5. What is going on with Vibration on S60?
    By amd_rikus in forum Mobile Java General
    Replies: 3
    Last Post: 2006-06-16, 00:29

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×